Bug 1347084 (CVE-2016-4809) - CVE-2016-4809 libarchive: Memory allocate error with symbolic links in cpio archives
Summary: CVE-2016-4809 libarchive: Memory allocate error with symbolic links in cpio a...
Status: NEW
Alias: CVE-2016-4809
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160512,reported=2...
Keywords: Security
Depends On: 1352775 1352776 1353065 1353066 1353067 1353068
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-16 02:17 UTC by Doran Moppert
Modified: 2016-09-12 20:13 UTC (History)
7 users (show)

Fixed In Version: libarchive 3.2.1
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted cpio archive containing a symbolic link to a ridiculously large target path can cause memory allocation to fail, resulting in any attempt to view or extract the archive crashing.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC
Red Hat Product Errata RHSA-2016:1850 normal SHIPPED_LIVE Important: libarchive security update 2016-09-12 23:54:24 UTC

Description Doran Moppert 2016-06-16 02:17:36 UTC
A cpio archive with a ridiculously large symlink can cause memory allocation
to fail, resulting in any attempt to view or extract the archive crashing.
The failed allocation appears to be handled correctly within libarchive and
not lead to further issues.

External references:
    https://github.com/libarchive/libarchive/issues/705

Upstream fix:
    https://github.com/libarchive/libarchive/commit/fd7e0c02

Comment 1 Doran Moppert 2016-07-05 04:36:37 UTC
Created libarchive tracking bugs for this issue:

Affects: epel-5 [bug 1352775]
Affects: fedora-all [bug 1352776]

Comment 3 errata-xmlrpc 2016-09-12 19:56:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1850 https://rhn.redhat.com/errata/RHSA-2016-1850.html

Comment 4 errata-xmlrpc 2016-09-12 20:13:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.